%define upstream_name    XML-LibXSLT
%define upstream_version 1.70

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  libgdbm-devel
BuildRequires:  libxslt-devel
BuildRequires:  perl(XML::LibXML) >= 1.59
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

Requires:       perl(XML::LibXML) >= 1.59

%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files 
%defattr(-,root,root)
%doc Changes README example/*
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML


%changelog
* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.700.0-3mdv2011.0
+ Revision: 564595
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-2mdv2011.0
+ Revision: 556192
- rebuild for perl 5.12

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 462463
- update to 1.70

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.680.0-1mdv2010.0
+ Revision: 408241
- rebuild using %%perl_convert_version

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.68-1mdv2009.1
+ Revision: 300655
- update to new version 1.68

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.66-1mdv2008.1
+ Revision: 161177
- update to new version 1.66

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.63-2mdv2008.1
+ Revision: 152423
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2008.1
+ Revision: 98010
- new version


* Mon Dec 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.62-1mdv2007.0
+ Revision: 94621
- 1.62
- Import perl-XML-LibXSLT

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.58-1mdk
- 1.58
- Change summary; remove MANIFEST
- introduce tests

* Thu Nov 18 2004 Michael Scherer <misc@mandrake.org> 1.57-2mdk
- Rebuild for new perl

* Sat Apr 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.57-1mdk
- 1.57
- use %%make macro

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.53-5mdk
- Own dir
- rebuild

